/* WM_HITS
 *
 * - アイコン化状態でマップする。
 * - 入力フォーカスは設定されない。
 *
 * ボタン押しで終了。 */

#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include "util.h"

int main(int argc,char **argv)
{
	Display *disp;
	Window win;
	XWMHints *wmh;
	
	disp = XOpenDisplay(NULL);
	if(!disp) return 1;

	win = create_test_window(disp, ButtonPressMask);

	//WM_HINTS

	wmh = XAllocWMHints();

	wmh->flags = InputHint | StateHint;
	wmh->input = False;
	wmh->initial_state = IconicState;

	XSetWMHints(disp, win, wmh);

	XFree(wmh);

	//イベント

	XMapWindow(disp, win);

	eventloop_button_quit(disp);

	XCloseDisplay(disp);

	return 0;
}
