/* 各拡張機能の情報を表示 */

#include <stdio.h>
#include <X11/Xlib.h>

int main(int argc,char **argv)
{
	Display *disp;
	char **names;
	int i,cnt,opcode,event,err;
	
	disp = XOpenDisplay(NULL);
	if(!disp) return 1;

	names = XListExtensions(disp, &cnt);

	for(i = 0; i < cnt; i++)
	{
		XQueryExtension(disp, names[i], &opcode, &event, &err);

		printf("[%s] opcode(%d) event(%d) error(%d)\n",
			names[i], opcode, event, err);
	}

	XFreeExtensionList(names);

	XCloseDisplay(disp);

	return 0;
}
