/* ルートウィンドウの背景を変更 */

#include <X11/Xlib.h>
#include "util.h"

int main(int argc,char **argv)
{
	Display *disp;
	Window root;
	
	disp = XOpenDisplay(NULL);
	if(!disp) return 1;

	set_display(disp);

	//ルートウィンドウの背景を変更

	root = DefaultRootWindow(disp);

	XSetWindowBackground(disp, root, rgb_to_pixel(0x0000ff));

	XClearWindow(disp, root);

	XCloseDisplay(disp);

	return 0;
}

